Subject: bug#7292: view-mode clobbers speedbar bindings

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Oct 2010 12:00:30 -0400

>>> (I notice a few other files call toggle-read-only as well. Seems odd.)
>> A fair question.  I suppose this is just caution: toggle-read-only will
>> always "do the right thing" to make sure the buffer is read-only, though
>> setting buffer-read-only should be sufficient.
> That doesn't make sense to me. I replace several inappropriate uses,
> including the speedbar one.
> I wonder if toggle-read-only should even be added to
> byte-compile-interactive-only-functions.

I wonder as well.  I know I'm to blame for some of the calls to
toggle-read-only, because I thought it might be better to use the
higher-level function.  But indeed it seems that was a mistake.

So let's add it to byte-compile-interactive-only-functions (with
a comment about why); and if it turns out that there are many cases
where calling it from Elisp makes sense, then we'll get to learn which
are the cases where it makes sense.

        Stefan